Validate Cedula by CURP

Service to obtain and validate a Cédula Profesional by CURP

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

This API allows you to obtain and validate a Cédula Profesional from the SEP system.

Important points

Required parameters

The required fields in this endpoint are:

  • curp

The response will contain all the information associated with the curp of the person searched. For example the following request body:

{
    "curp":"GOMC850312HDFNRR09"
}

The service will return the personal data in the SEP system.

{
    "id": "682c71dffe40840a9ece116c",
    "name": "Respuesta exitosa por curp",
    "service": "sep_cedula",
    "subService": "validate_by_curp",
    "status": "SUCCESS",
    "response": {
        "results": [
            {
                "anioExpedicion": 2015,
                "genero": "Hombre",
                "institution": "INSTITUTO POLITÉCNICO NACIONAL",
                "nombre": "CESAR ANTONIO JIMENEZ VAZQUEZ",
                "numeroCedula": "09263998",
                "profesion": "MAESTRÍA EN TECNOLOGÍA DE CÓMPUTO",
                "tipoCedula": "C1"
            }
        ],
        "status": "FOUND"
    }
}

Successful response

To learn about the fields of a successful response, please refer to the examples in the Response section.

Test the service (test cases)

We have included a query parameter in Sandbox to enable you to query the test cases that we created for running tests. To get a response, fill the testCaseId parameter with any of the following cases:

NumIdNameDescription
1682c71f53541ab0f7ec1a23bNo encontrado por curpIndicates that there is no information with the curp provided
2682c72106fb930b61d3027c9Servicio no disponibleIndicates service is unavailable
3682c71dffe40840a9ece116cRespuesta exitosa por curpIndicates one successful response
📘

Test your own test case

In case you want to test your own test case created in link, you can send in the testCaseId parameter the identifier of the test case you want to use.

For more information visit our knowledge center to know more about test cases

Possible Errors

Required fields

You will get a 400 bad request error when any of the parameters are not provided in the request body.

[
    {
        "code": "REQUIRED_FIELD_ERROR",
        "message": "EMPTY_ERROR   can't be empty",
        "field": "curp"
    }
]

Invalid format

You will get a 400 bad request error when any of the parameters do not conform the specific length

[
    {
        "code": "FORMAT_ERROR",
        "message": "invalid CURP format",
        "field": "curp"
    }
]

Unavailable service

{
    "id": "682c72106fb930b61d3027c9",
    "name": "Servicio no disponible",
    "service": "sep_cedula",
    "subService": "validate_by_curp",
    "response": {
        "message": "El servicio no se encuentra disponible",
        "status": "UNAVAILABLE"
    }
}

Test case not found

if a test case parameter is not sent or a value other than those mentioned above is sent, the service will return the following error 400 bad request

{
    "testCase": "EMPTY_ERROR; test case not found"
}
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json